idjc (0.8.17-1build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:34:09 +0000

idjc (0.8.17-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:52 +0000

idjc (0.8.17-1) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fixes FTBFS with FFmpeg 4.0. (Closes: #888330)

  * d/control: Update required python version.
  * d/copyright: Update copyright years.
  * d/rules: Drop override to change build options on i386.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ James Cowgill ]
  * d/compat: Use debhelper compat 11.
  * d/control:
    - Drop ancient X-Python-Version field.
    - Bump standards version to 4.1.4.
  * d/patches:
    - Add patch ensuring idjc.so is linked against libogg. (Closes: #900754)
    - Add patch to make the build reproducible.
      Thanks to Chris Lamb (Closes: #831630)
  * d/rules:
    - Drop dh_auto_clean override.
    - Drop get-orig-source target.
    - Don't install makefiles in /usr/share/doc/idjc/html.
    - Don't cleanup pyc files in dh_auto_install override.
  * d/source/local-options: Drop.

 -- James Cowgill <jcowgill@debian.org>  Tue, 05 Jun 2018 11:12:34 +0100

idjc (0.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/control:
    - Bump libshout-idjc-dev in Build-Depends to >= 2.4.
    - Add B-D on libswscale-dev.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2016 11:44:18 +0200

idjc (0.8.15-2) unstable; urgency=medium

  * Team upload.
  * debian/patches: Apply upstream patches to fix issues with ffmpeg 3.0.
    (Closes: #822973)
  * debian/control:
    - Update Standards-Version.
    - Switch to python-dev since idjc does not build Python module packages.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 May 2016 23:10:29 +0200

idjc (0.8.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - libav-patch, implicit-declarations.patch: Removed, applied upstream.
    - man.patch, desktop.patch: Refreshed.
  * debian/control:
    - Add dh-python to Build-Depends.
    - Add libogg-dev (>= 1.3) to Build-Depends.
    - Bump Standards-Version to 3.9.6.
  * debian/menu: Removed as per #741573.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2015 12:32:02 +0100

idjc (0.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - libav.patch: Fix compilation issues with libav 9 and libav 10. (Closes:
      #739320)
    - implicit-declarations.patch: Fix implicit declarations.
    - desktop.patch: Fix lintian warnings in idjc.desktop.
    - man.patch: Fix lintian warning for French manpage.
  * debian/{watch,repack.*, rules}: Drop repack tools. The orig tarball no
    longer contains libshout.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes reqiured.
    - Remove Suggests: ffmpeg. (Closes: #722255)
    - Add python-irc to Depends.
  * debian/rules: Remove workarounds for old buildsystem that are no longer
    needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 18 Feb 2014 22:24:08 +0100

idjc (0.8.9-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * New upstream release.
    - Fix build with libav 9. (Closes: #720801)
  * debian/control:
    - Update Build-Depends:
      - Add libopus-dev
      - Replace libmad0-dev with libmpg123-dev.
      - Remove libxine-dev.
      - Bump debhelper to >= 9.
    - Bump Standards-Version to 3.9.4
  * debian/copyright: Update copyright years.
  * debian/rules:
    - Install backend library in private directory.
    - Remove la file.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 06 Sep 2013 13:50:26 +0200

idjc (0.8.8-1) experimental; urgency=low

  * New upstream release:
    - Added a python module for monitoring IDJC (metadata and streams) to the
      HTML documentation.
    - The bootstrapping script env-up renamed to bootstrap.
    - New JACK freewheel mode front panel trigger button and matching
      preferences option to show this.
    - Recorder now compatible with JACK freewheel mode.
    - Fix to mp3 encoder which was dereferencing recently freed memory.
    - New jingles player. Renamed as Effects.
    - Player level smoothing and muting code moved from mixer.c into
      xlplayer.c.
    - Intra player mixing code moved into xlplayer.c.
    - Added a new interlude player which is nearly the equal of the main
      players. Renamed as Background Tracks.
    - Removed the 'Fastest' player resample option from the preferences due to
      its inferiority. The remaining items renamed in accordance with the
      stream encoder names for the same modes.
    - Fix to unhandled exceptions and bad behaviour in IRC code relating to
      the adding or removal of IRC servers during streaming.
    - Replaced libmad mp3 decoder with mpg123.
    - Added AAC and AAC Plus V2 streaming and recording support.
    - Run-time linking to libmad removed. This is a forced dependency now.
    - New dependency twolame adds official mp2 support for streaming,
      recording, playback, tagging.
    - Added a brand new encoder format selection user interface which
      eliminates the possiblity of the user to select bad encoder setting
      combinations. It also looks much better.
    - Decoder module avcodecdecode.c now requests audio in float format from
      libavcodec with theoretically better audio quality.
    - Fixed deprecation warnings from avcodecdecode.c.
    - Fix to vu_update in python/maingui.py to allow received values to
      contain = characters.
    - Added the ability to remove the main players' visibility. Useful for
      when using external players.
    - Added JACK audio routing for all players. This means that individual
      player audio effects or external players can be used.
    - Fixed a crash bug that would happen if a playlist control was dragged
      to the opposite playlist.
    - Merged the sourceclient and mixer modules.
    - Updated man pages.
    - Improved lockup handling code.
    - Lots of global variables in mixer declared static.
    - Recorders restart when sourceclient module goes down.
    - Improved restart for streams when sourceclient module goes down.
    - The 'Green Phone' VoIP mode now respects the 'In DJ's Mix' setting.
    - BSD compat fix. The runtime dynamic linking functions are in the C
      standard library in BSD.
    - Added ladish [L0] and [L1] support.
    - The main menu is the new method for connecting JACK ports and it can
      also be used to check the various connections.
    - The session is saved every minute. Users no longer need to close and
      restart to lock in settings in case IDJC freezes.
    - Added a main menu bar and removed obsolete menus.
  * Fix repacking:
    - Set REPACK_SH in debian/rules.
  * debian/control:
    - Replace libshout3-dev with libshout-idjc-dev on Build-Depends
    - Add build-dep on libspeex-dev.
    - Update Vcs-* tags.
  * Update debian/copyright.
  * Remove all patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Oct 2012 01:46:55 +0100

idjc (0.8.7-2) unstable; urgency=low

  * Enable parallel builds.
  * Bump debhelper requirement to 7.4.10.
  * Depends on python-dbus.
  * Depends on python-gobject.
  * Update repackaging mechanism to strip the libshout/ directory.
  * Cherry-pick patch from upstream SCM to fix FTBFS. (Closes: #661605)
    Also fixes LP: #935507
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 22 Mar 2012 19:31:31 +0100

idjc (0.8.7-1) unstable; urgency=low

  * New upstream release:
    - User interface tweaks for consistency including the greater use of
      GTK stock labels.
    - Add Italian translation.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Dec 2011 10:50:07 +0100

idjc (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Wrap and sort.
    - Build-depend on autopoint.
    - Drop autotools-dev, unnecessary.
  * Drop the whole patch set, none of them is still needed.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 16:33:59 +0100

idjc (0.8.5-3) unstable; urgency=low

  * Enable libav's patch (Closes: #623797).

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Sep 2011 08:52:16 +0200

idjc (0.8.5-2) unstable; urgency=low

  * Add MP3 support, drop idjc-twolame.patch.
  * Add patch from Jonathan Nieder to fix FTBFS with libavcodec 0.7
    on Ubuntu and Debian experimental (Closes: #623797).
    - Apply libav-0.7.patch only on Ubuntu; the two series files will be
      merged when libav 0.7 hits unstable.
  * Add patch to fix bashism in configure.ac (Closes: #623799).
  * debian/patches: Clean-up.
  * Update debian/copyright to DEP-5 rev. 174.

 -- Alessio Treglia <alessio@debian.org>  Sat, 30 Jul 2011 11:44:40 +0200

idjc (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Remove unnecessary Provides: ${python:Provides}.
    - Bump Standards.
  * debian/copyright:
    - Update copyright years.
    - Update to DEP-5 svn.173.
    - Add missing copyright holders.
  * Remove unneeded server_window_size.patch.
  * Update ubuntu.series file to reflect Debian's series file.
  * Refresh idjc-twolame.patch patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Apr 2011 14:07:42 +0200

idjc (0.8.4-4ubuntu1) natty; urgency=low

  * Merge from Debian sid, remaining changes:
    - Build with MP3 support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 07 Mar 2011 09:27:51 +0100

idjc (0.8.4-4) unstable; urgency=low

  * Switch to dh_python2 (Closes: #616845).

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Mar 2011 09:16:30 +0100

idjc (0.8.4-3) unstable; urgency=low

  * Upload to unstable.
  * Merge Ubuntu's changelog entry.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 12:18:25 +0100

idjc (0.8.4-2ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Build-depends on libmp3lame-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 12 Nov 2010 12:04:51 +0100

idjc (0.8.4-2) experimental; urgency=low

  * Merge Ubuntu changelog entries.
  * Minimize delta with Ubuntu:
    - Create debian/patches/ubuntu.series to apply Ubuntu-specific patches.
    - debian/patches/idjc-twolame.patch patch is Debian-specific as Ubuntu
      provides LAME support.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Nov 2010 11:51:05 +0100

idjc (0.8.4-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, Ubuntu remaining changes:
    - Build with MP3 support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 27 Oct 2010 01:02:02 +0200

idjc (0.8.4-1) experimental; urgency=low

  * New upstream release.
  * Update git-buildpackage config file.
  * Add local-options file
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 00:51:44 +0200

idjc (0.8.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build with MP3 support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 27 Jul 2010 11:59:06 +0200

idjc (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Merge Ubuntu changelog entries.
  * Remove DMUA field, wrap long lines.
  * Update Standards to 3.9.1.
  * Switch to 3.0 (quilt) format.
  * Refresh server_window_size.patch patch.
  * Drop idjcmixer_sigsegv.patch patch, applied upstream.
  * Refresh idjc-twolame.patch patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Jul 2010 12:13:10 +0200

idjc (0.8.2-4ubuntu2) maverick; urgency=low

  * No-change rebuild due to jackd -> jackd2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 11:59:56 +0200

idjc (0.8.2-4ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - Build against libmp3lame-dev to provide MP3 support:
      + Replace libtwolame-dev with libmp3lame-dev in Build-Depends field.
      + Drop idjc-twolame.patch patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 04 Jul 2010 20:30:01 +0200

idjc (0.8.2-4) unstable; urgency=low

  * Don't use both autotools_dev and dh-autoreconf, dh-autoreconf
    replaces config.{guess,sub} files which dh-autotools-dev is supposed
    to back up; this leaves the build tree in an inconsistent state.
  * Add .gitignore file.
  * Bump Standards.
  * Add patch provided by Peter Green (Closes: #482509) to build against
    libtwolame properly in order to provide MP2 support.
  * Correct typo in Build-Depends field: s/twolame/libtwolame-dev/.

 -- Alessio Treglia <alessio@debian.org>  Fri, 02 Jul 2010 10:59:32 +0200

idjc (0.8.2-3ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - Build against libmp3lame-dev to provide MP3 support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 24 Jun 2010 10:52:39 +0200

idjc (0.8.2-3) unstable; urgency=low

  * Change my email address.
  * Rely on the autotols_dev debhelper add-on to update
    config.{guess,sub} files.
  * Adjust bashism in configure.in to fix FTBFS (Closes: #582037).
  * Use dh-autoreconf add-on rather than applying autoreconf.patch.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 Jun 2010 17:03:56 +0200

idjc (0.8.2-2ubuntu1) maverick; urgency=low

  * Merge with debian unstable, remaining changes:
    - Build against libmp3lame-dev to provide MP3 support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 May 2010 13:33:23 +0200

idjc (0.8.2-2) unstable; urgency=low

  * debian/rules: Add get-orig-source rule to remove libshout from the
    original tarball.
  * debian/patches/idjcmixer_sigsegv.patch: Prevent segmentation fault
    at idjcmixer startup (Closes: #580262); thanks to Gabriel M. Beddingfield
    for the patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 05 May 2010 11:01:17 +0200

idjc (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Bump minimum python version up to 2.6.
  * Build-depend on autotools-dev,python2.6-dev.
  * Set deb-src format to 1.0.
  * Switch to debhelper 7 + quilt.
  * Adopt quilt as patch system:
    - Convert all patches to the quilt format.
    - debian/rules: Drop cdbs simple-patchsys.
    - Add debian/README.source to document how to patch the
      sources.
  * Drop cdbs at all.
  * Drop debian/patches/python26_ready.patch, now unnecessary.
  * Add debian/patches/autoreconf.patch to fix python2.6 detection.
  * Update debian/copyright.
  * Bump debian/compat.
  * Remove debian/pycompat.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 28 Apr 2010 15:22:11 +0200

idjc (0.8.1-4ubuntu1) lucid; urgency=low

  * Build against libmp3lame-dev to provide MP3 support (LP: #154880).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 03 Apr 2010 20:15:13 +0200

idjc (0.8.1-4) unstable; urgency=medium

  * Pass the correct libexecdir path to the configure script rather than
    move the files (Closes: #572271); bump urgency to medium, the package
    is already in squeeze.
  * Fix launcher script to run idjc properly; thanks to Magnus Holmgren for
    the patch.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Mar 2010 17:57:35 +0100

idjc (0.8.1-3) unstable; urgency=low

  * Drop python 2.4 support (Closes: #569308).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Feb 2010 17:24:54 +0100

idjc (0.8.1-2) unstable; urgency=low

  * Revert pycentral -> pysupport, Closes: #566042.
  * Move idjcmixer,idjcsourceclient from /usr/lib/idjc to /usr/bin.
  * Remove duplicated build-dependency on libshout3-dev.
  * Allow uploads by Debian Maintainers.
  * debian/rules: clean target should not remove idjcpython/idjc_config.py.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 25 Jan 2010 13:23:46 +0100

idjc (0.8.1-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * actually remove libshout on clean

  [ Alessio Treglia ]
  * New upstream release.
  * Bump Standards.
  * Add myself to Uploaders.
  * Build-depend on python-mutagen.
  * Bump cdbs build-dependency as per Python new policy.
  * Convert from python-central to python-support.
  * debian/copyright:
    - Update (according to Debian DEP-5 spec).
    - Fix lintian warning (copyright-refers-to-symlink-license).
  * debian/patches/desktop_file.patch:
    - Adjust desktop file as Freedesktop's per-spec.
  * Remove debian/idjc.desktop,Man/idjc{,ctrl}.1, provided by upstream.
  * Remove Man/idjcskype.1, idjcskype has been dropped by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 30 Nov 2009 23:17:43 +0100

idjc (0.7.14-2) unstable; urgency=low

  [ Alessio Treglia ]
  * debian/rules:
    - Use wildcard instead of site-packages (making ready for Python >= 2.6).
  * Add debian/patches/python26_ready.patch to build with Python 2.6.
    (Closes: #526838)

  [ Reinhard Tartler ]
  * add myself to uploaders.
  * Convert (build-)dependency line to a multi-line field
  * Change order of the toolame/mp3lame build dependency
    (Closes: #482509, #534076)
  * bump standards version
  * fix docbase section
  * add depends on python
  * use official homepage field
  * remove mistakenly install pyc files
  * build against system libshout3, not against internal copy
  * remove internal libshout copy
  * remove generated idjcpython/idjc_config.py file

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Jul 2009 08:53:51 +0200

idjc (0.7.14-1) unstable; urgency=low

  * New upstream release
  * Replace liblame-dev dependency with libmp3lame-dev

 -- Free Ekanayaka <freee@debian.org>  Thu, 30 Apr 2009 09:05:00 +0200

idjc (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Mon, 23 Jun 2008 01:16:42 +0100

idjc (0.7.5-4) unstable; urgency=low

  * Build against liblame-dev if available or toolame otherwise

 -- Free Ekanayaka <freee@debian.org>  Fri, 16 May 2008 11:50:12 +0100

idjc (0.7.5-3) unstable; urgency=low

  * Support DEB_BUILD_OPTIONS=dopot for optmised re-builds
  * Build-Depend on libjack-dev and not on the the deprecated libjack0.100.0-dev

 -- Free Ekanayaka <freee@debian.org>  Tue, 13 May 2008 09:37:26 +0100

idjc (0.7.5-2) unstable; urgency=low

  * Do not run dh_pycentral, as it breaks upstream configuration

 -- Free Ekanayaka <freee@debian.org>  Mon, 12 May 2008 15:36:00 +0100

idjc (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Set Debian Multimedia Team as maintainer and myself as Uploader (Closes: #479582)

 -- Free Ekanayaka <freee@debian.org>  Wed, 30 Apr 2008 08:57:34 +0100

idjc (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #418909)
  * Built against libflac8 (Closes: #426670, #427746)
  * debian/control:
    + Add libmad0-dev to Build-Depends (Closes: #431623, #431624)
    + Add libavcodec-dev and libavformat-dev to Build-Depends for wma support
    + Add ffmpeg to Suggests
  * Update Maintainer's address
  * Add a clean idjc.desktop
  * Fix menu-item-uses-apps-section

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 16 Aug 2007 13:04:52 +0200

idjc (0.6.12-1) unstable; urgency=low

  * Adopting package (Closes: #424895)
  * New upstream release
  * debian/control: remove XS-X-Vcs-Svn and XS-Vcs-Browser tags

 -- Arthur Loiret <freacky22527@free.fr>  Sat,  2 Jun 2007 17:50:13 +0200

idjc (0.6.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add python-gtk2 dependency (Closes: #416816)
    + move python-eyed3 to Recommends:.

 -- Lionel Le Folgoc (mr_pouit) <mrpouit@gmail.com>  Mon, 26 Mar 2007 22:03:24 +0200

idjc (0.6.10-1) unstable; urgency=low

  * New upstream release.
  * Add debian/doc-base.
  * debian/control:
    + set XS-Python-Version to all instead of current
    + add XS-*-Vcs fields.

 -- Lionel Le Folgoc (mr_pouit) <mrpouit@gmail.com>  Fri,  9 Mar 2007 10:46:27 +0100

idjc (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add libsndfile1-dev to Build-Depends.

 -- Lionel Le Folgoc (mr_pouit) <mrpouit@gmail.com>  Mon, 15 Jan 2007 01:49:58 +0100

idjc (0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #346569)

 -- Lionel Le Folgoc (mr_pouit) <mrpouit@gmail.com>  Wed, 27 Dec 2006 16:20:52 +0100
